% test TAN

clear all;
close all;

%add_BNT_to_path;

fprintf('\n=== Structure Learning for Tree Augmented Naive Bayes classifier \n');


data=load('heart.data');
indices=randperm(size(data,1));
Ndata=200
data=data(indices(1:Ndata),:)';

ns=max(data');
class=14;

dag = learn_struct_fan2(data, class, ns);
dag2=learn_struct_tan(data, class,1, ns,'mutual_info');
dag3=learn_struct_tan(data, class,1, ns,'bic');

fprintf('Editing distance : %d\n',editing_dist(dag,dag2));

figure; 
subplot(1,3,1), draw_graph(dag); title('FAN : cond. mutual information');
subplot(1,3,2), draw_graph(dag2); title('TAN : cond. mutual information');
subplot(1,3,3), draw_graph(dag3); title('TAN : BIC score');